Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1398443 - ovirt-ha-agent fails reading the HE vm configuration from the OVF_STORE due to a change in vdsm sudoers policy
Summary: ovirt-ha-agent fails reading the HE vm configuration from the OVF_STORE due t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-hosted-engine-ha
Classification: oVirt
Component: General
Version: 2.0.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ovirt-4.1.0-alpha
: 2.1.0
Assignee: Simone Tiraboschi
QA Contact: Nikolai Sednev
URL:
Whiteboard: integration
Depends On: 1406527
Blocks: 1361511
TreeView+ depends on / blocked
 
Reported: 2016-11-24 21:56 UTC by Simone Tiraboschi
Modified: 2017-02-01 15:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
ovirt-ha-agent was failing reading the HE vm configuration from the OVF_STORE due to a change in vdsm sudoers policy. Fixing it without introducing a new suders rule.
Clone Of:
Environment:
Last Closed: 2017-02-01 15:00:09 UTC
oVirt Team: Integration
rule-engine: ovirt-4.1+
rule-engine: blocker+


Attachments (Terms of Use)
engine logs (deleted)
2016-12-20 18:26 UTC, Nikolai Sednev
no flags Details
sosreport from host (deleted)
2016-12-20 18:28 UTC, Nikolai Sednev
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 67290 None None None 2016-11-25 09:18:48 UTC
oVirt gerrit 67291 master MERGED conditionally run sudo -u vdsm dd 2016-11-25 14:15:30 UTC

Description Simone Tiraboschi 2016-11-24 21:56:53 UTC
Description of problem:

ovirt-ha-agent fails reading the HE vm configuration from the OVF_STORE due to a change in vdsm sudoers policy.

heconflib in ovirt-hosted-engine-ha read the OVF using dd; since the library is shared between ovirt-hosted-engine-setup (that runs as root) and ovirt-ha-agent (that runs as vdsm user), it always reads with 'sudo -u vdsm dd if=...'.

After https://gerrit.ovirt.org/#/c/66103/ (on master only), the read fails since vdsm user cannot run anymore 'sudo -u vdsm dd'.

Indeed:
[root@rhsqa-grafton3 ~]# sudo -u vdsm /bin/bash

bash-4.2$ sudo -u vdsm dd if=/rhev/data-center/mnt/glusterSD/10.70.36.79:_engine/27f054c3-c245-4039-b42a-c28b37043016/images/fdf49778-9a06-49c6-bf7a-a0f12425911c/8c954add-6bcf-47f8-ac2e-4c85fc3f8699 bs=4k
Sorry, user vdsm is not allowed to execute '/bin/dd if=/rhev/data-center/mnt/glusterSD/10.70.36.79:_engine/27f054c3-c245-4039-b42a-c28b37043016/images/fdf49778-9a06-49c6-bf7a-a0f12425911c/8c954add-6bcf-47f8-ac2e-4c85fc3f8699 bs=4k' as vdsm on rhsqa-grafton3.lab.eng.blr.redhat.com.

bash-4.2$ dd if=/rhev/data-center/mnt/glusterSD/10.70.36.79:_engine/27f054c3-c245-4039-b42a-c28b37043016/images/fdf49778-9a06-49c6-bf7a-a0f12425911c/8c954add-6bcf-47f8-ac2e-4c85fc3f8699 bs=4k
info.json0100644 0000000 0000000 00000000212 13004320033 011412 0ustar000000000 0000000 {
  "Last Updated" : "Thu Oct 27 06:35:07 UTC 2016",
  "Storage Domains" : [ {
    "uuid" : "27f054c3-c245-4039-b42a-c28b37043016"
  } ]
}21e0e248-19bf-47b3-b72f-6a3740d9ff
...


Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1. deploy hosted-engine
2.
3.

Actual results:
MainThread::INFO::2016-11-24 17:55:04,914::ovf_store::112::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(getEngineVMOVF) Extracting Engine VM OVF from the OVF_STORE
MainThread::INFO::2016-11-24 17:55:04,919::ovf_store::119::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(getEngineVMOVF) OVF_STORE volume path: /rhev/data-center/mnt/glusterSD/10.70.36.79:_engine/27f054c3-c245-4039-b42a-c28b37043016/images/fdf49778-9a06-49c6-bf7a-a0f12425911c/8c954add-6bcf-47f8-ac2e-4c85fc3f8699
MainThread::ERROR::2016-11-24 17:55:04,928::ovf_store::124::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(getEngineVMOVF) Unable to extract HEVM OVF
MainThread::ERROR::2016-11-24 17:55:04,928::config::235::ovirt_hosted_engine_ha.agent.hosted_engine.HostedEngine.config::(refresh_local_conf_file) Unable to get vm.conf from OVF_STORE, falling back to initial vm.conf

Expected results:
ovirt-ha-agent reads the OVF_STORE

Additional info:
Only on master,
on all the kind of storage,
for the same reason ovirt-ha-agent also fails reading the initial vm.conf

Comment 1 Sandro Bonazzola 2016-11-25 09:14:39 UTC
Nir, can you please revert https://gerrit.ovirt.org/#/c/66103/2/static/etc/sudoers.d/50_vdsm.in or explain why that change is needed?

Comment 2 Sandro Bonazzola 2016-11-25 09:16:59 UTC
Allon, Dan, how come a vdsm patch changing users permissions have been merged without verifying it with hosted engine?

Comment 3 Dan Kenigsberg 2016-11-25 09:38:41 UTC
I am sorry for breaking ovirt-ha-agent.

Since Vdsm per se no longer needs this sudo permission, would you be kind to to take it to ovirt-ha-agent?

Comment 4 Nir Soffer 2016-11-25 11:43:31 UTC
(In reply to Sandro Bonazzola from comment #1)
> Nir, can you please revert
> https://gerrit.ovirt.org/#/c/66103/2/static/etc/sudoers.d/50_vdsm.in or
> explain why that change is needed?

Vdsm is not using these sudoers rules, and having these rules is a security issue.
Keeping unneeded and undocumented code and configuration slows down vdsm
development.

If some component is accessing vdsm storage not via vdsm api is a bug in the
component, please avoid doing this.

Vdsm try hard to keep vdsm api backward compatible, but we do not promise anything
about the implementation details, please do not assume anything about the actual
storage format or being able to access the storage.

Comment 5 Red Hat Bugzilla Rules Engine 2016-11-28 08:32:53 UTC
This bug report has Keywords: Regression or TestBlocker.
Since no regressions or test blockers are allowed between releases, it is also being identified as a blocker for this release. Please resolve ASAP.

Comment 6 Nikolai Sednev 2016-12-20 13:59:37 UTC
I still see the same problem on my fresh environment:

MainThread::WARNING::2016-12-20 15:53:58,161::ovf_store::107::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(scan
) Unable to find OVF_STORE
MainThread::ERROR::2016-12-20 15:53:58,163::config::245::ovirt_hosted_engine_ha.agent.hosted_engine.HostedEngine.confi
g::(refresh_local_conf_file) Unable to identify the OVF_STORE volume, falling back to initial vm.conf. Please ensure y
ou already added your first data domain for regular VMs
MainThread::ERROR::2016-12-20 15:53:58,217::config::252::ovirt_hosted_engine_ha.agent.hosted_engine.HostedEngine.confi
g::(refresh_local_conf_file) Reading initial vm.conf

Taken from WEBADMIN:
Dec 20, 2016 3:47:33 PM	
Failed importing the Hosted Engine VM

Engine was deployed from ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch on fresh and clean environment.

Hosts:
mom-0.5.8-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.0-0.0.master.20161130101611.gitb3ad261.el7.centos.noarch
ovirt-setup-lib-1.1.0-0.0.master.20161107100014.gitb73abeb.el7.centos.noarch
ovirt-imageio-daemon-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
ovirt-release41-pre-4.1.0-0.0.beta.20161201085255.git731841c.el7.centos.noarch
sanlock-3.4.0-1.el7.x86_64
qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64
ovirt-hosted-engine-ha-2.1.0-0.0.master.20161130135331.20161130135328.git3541725.el7.centos.noarch
ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch
ovirt-host-deploy-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
ovirt-imageio-common-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
vdsm-4.18.999-1020.git1ff41b1.el7.centos.x86_64
libvirt-client-2.0.0-10.el7_3.2.x86_64
ovirt-vmconsole-1.0.4-1.el7ev.noarch
Linux version 3.10.0-514.2.2.el7.x86_64 (mockbuild@x86-019.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Nov 16 13:15:13 EST 2016
Linux 3.10.0-514.2.2.el7.x86_64 #1 SMP Wed Nov 16 13:15:13 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)


Engine:
ovirt-engine-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-dwh-setup-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-engine-tools-backup-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-userportal-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-backend-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-wildfly-10.1.0-1.el7.x86_64
python-ovirt-engine-sdk4-4.1.0-0.1.a0.20161128gitdcd1d90.el7.centos.x86_64
ovirt-engine-wildfly-overlay-10.0.0-1.el7.noarch
ovirt-vmconsole-1.0.4-0.0.master.20161130185641.git51ed572.el7.centos.noarch
ovirt-engine-cli-3.6.9.2-1.el7.centos.noarch
ovirt-release-master-4.1.0-0.5.master.20161201000129.gitf370ec3.el7.centos.noarch
ovirt-setup-lib-1.1.0-0.0.master.20161107100014.gitb73abeb.el7.centos.noarch
ovirt-engine-extensions-api-impl-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.2-0.1.20161130.gite99bbd1.el7.centos.noarch
ovirt-host-deploy-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
ovirt-host-deploy-java-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-dwh-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-imageio-proxy-0.5.0-0.201612010904.git743fc2d.el7.centos.noarch
ovirt-engine-setup-plugin-websocket-proxy-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-iso-uploader-4.1.0-0.0.master.20160909154152.git14502bd.el7.centos.noarch
ovirt-engine-dbscripts-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-webadmin-portal-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-setup-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-vmconsole-proxy-helper-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-restapi-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-guest-agent-common-1.0.12-3.el7.noarch
ovirt-vmconsole-proxy-1.0.4-0.0.master.20161130185641.git51ed572.el7.centos.noarch
ovirt-engine-lib-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-imageio-proxy-setup-0.5.0-0.201612010904.git743fc2d.el7.centos.noarch
ovirt-engine-websocket-proxy-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-dashboard-1.1.0-0.4.20161128git5ed6f96.el7.centos.noarch
ovirt-engine-hosts-ansible-inventory-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-tools-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
ovirt-engine-extension-aaa-jdbc-1.1.3-0.0.master.20161118164738.gitd0ff686.el7.noarch
ovirt-imageio-common-0.5.0-0.201612010904.git743fc2d.el7.centos.noarch
ovirt-engine-setup-base-4.1.0-0.0.master.20161201071307.gita5ff876.el7.centos.noarch
Linux version 3.10.0-327.36.3.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Mon Oct 24 16:09:20 UTC 2016
Linux nsednev-he-4.scl.lab.tlv.redhat.com 3.10.0-327.36.3.el7.x86_64 #1 SMP Mon Oct 24 16:09:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
CentOS Linux release 7.2.1511 (Core)

Comment 7 Nikolai Sednev 2016-12-20 18:20:42 UTC
Tried one more time on these components on host:

On engine:



I've deployed on NFS a fresh and clean HE, using ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch, on one el7.3 host.
Once engine got up, I've set the host to global maintenance and updated the engine to latest bits as appears above. After updating the components of the engine, I've ran engine-setup and then also installed "yum install ovirt-engine-webadmin-portal-debuginfo ovirt-engine-userportal-debuginfo" and then ran "engine-config --list | grep -i ovf
engine-config -s OvfUpdateIntervalInMinutes=1
service ovirt-engine restart".
Then I've removed the host from global maintenance and added one NFS data storage domain, so engine could get auto-imported.

I saw via WEBADMIN:
Dec 20, 2016 8:10:07 PM	
Failed importing the Hosted Engine VM

In agent.log I see:
MainThread::INFO::2016-12-20 20:14:07,599::ovf_store::119::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(getEngi
neVMOVF) OVF_STORE volume path: /rhev/data-center/mnt/10.35.110.11:_Compute__NFS_nsednev__he__4/73de876d-1138-4d56-a93
0-85f5195357b9/images/e88b7437-b531-487c-aa2d-f90ceb147f9e/085acbef-9ff0-462f-8c75-a8be020a685b 
MainThread::ERROR::2016-12-20 20:14:07,607::ovf_store::124::ovirt_hosted_engine_ha.lib.ovf.ovf_store.OVFStore::(getEng
ineVMOVF) Unable to extract HEVM OVF
MainThread::ERROR::2016-12-20 20:14:07,607::config::240::ovirt_hosted_engine_ha.agent.hosted_engine.HostedEngine.config::(refresh_local_conf_file) Failed extracting VM OVF from the OVF_STORE volume, falling back to initial vm.conf
MainThread::ERROR::2016-12-20 20:14:07,607::config::252::ovirt_hosted_engine_ha.agent.hosted_engine.HostedEngine.config::(refresh_local_conf_file) Reading initial vm.conf

Reopening the bug.
See also sosreport from host and logs from the engine being attached.

Comment 8 Red Hat Bugzilla Rules Engine 2016-12-20 18:20:49 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 9 Nikolai Sednev 2016-12-20 18:26:49 UTC
Created attachment 1234006 [details]
engine logs

Comment 10 Nikolai Sednev 2016-12-20 18:28:54 UTC
Created attachment 1234008 [details]
sosreport from host

Comment 11 Nikolai Sednev 2016-12-20 18:29:46 UTC
After some time on Dec 20, 2016 8:14:35 PM, I've received in WEBADMIN:	
Hosted Engine Storage Domain imported successfully

Comment 12 Nikolai Sednev 2016-12-20 18:31:24 UTC
Dec 20, 2016 8:14:35 PM
Hosted Engine Storage Domain imported successfully
	
Dec 20, 2016 8:14:35 PM
Storage Domain hosted_storage was attached to Data Center Default by SYSTEM
	
Dec 20, 2016 8:10:46 PM
The disk 'OVF_STORE' was successfully added.
	
Dec 20, 2016 8:10:38 PM
The disk 'OVF_STORE' was successfully added.
	
Dec 20, 2016 8:10:35 PM
The disk 'OVF_STORE' was successfully added.
	
Dec 20, 2016 8:10:30 PM
The disk 'OVF_STORE' was successfully added.
	
Dec 20, 2016 8:10:20 PM
Add-Disk operation of 'OVF_STORE' was initiated by the system.
	
Dec 20, 2016 8:10:19 PM
Add-Disk operation of 'OVF_STORE' was initiated by the system.
	
Dec 20, 2016 8:10:17 PM
Add-Disk operation of 'OVF_STORE' was initiated by the system.
	
Dec 20, 2016 8:10:16 PM
Add-Disk operation of 'OVF_STORE' was initiated by the system.
	
Dec 20, 2016 8:10:07 PM
Failed importing the Hosted Engine VM

Comment 13 Nikolai Sednev 2016-12-20 18:35:35 UTC
Forgot to add components forth to comment #7, so adding them here:

Host:
ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch
vdsm-4.18.999-1020.git1ff41b1.el7.centos.x86_64
ovirt-host-deploy-1.6.0-0.0.master.20161107121647.gitfd7ddcd.el7.centos.noarch
libvirt-client-2.0.0-10.el7_3.2.x86_64
ovirt-vmconsole-1.0.4-1.el7ev.noarch
ovirt-release41-pre-4.1.0-0.0.beta.20161201085255.git731841c.el7.centos.noarch
qemu-kvm-rhev-2.6.0-28.el7_3.2.x86_64
ovirt-hosted-engine-ha-2.1.0-0.0.master.20161130135331.20161130135328.git3541725.el7.centos.noarch
ovirt-engine-appliance-4.1-20161202.1.el7.centos.noarch
sanlock-3.4.0-1.el7.x86_64
ovirt-setup-lib-1.1.0-0.0.master.20161107100014.gitb73abeb.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
ovirt-imageio-common-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
mom-0.5.8-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.0-0.0.master.20161130101611.gitb3ad261.el7.centos.noarch
ovirt-imageio-daemon-0.5.0-0.201611201242.gitb02532b.el7.centos.noarch
Linux version 3.10.0-514.2.2.el7.x86_64 (mockbuild@x86-019.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Wed Nov 16 13:15:13 EST 2016
Linux 3.10.0-514.2.2.el7.x86_64 #1 SMP Wed Nov 16 13:15:13 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)


Engine:
ovirt-engine-setup-plugin-websocket-proxy-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-webadmin-portal-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-userportal-debuginfo-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-setup-base-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
python-ovirt-engine-sdk4-4.1.0-0.1.a0.20161215git77fce51.el7.centos.x86_64
ovirt-engine-extensions-api-impl-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-lib-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-dashboard-1.1.0-0.4.20161128git5ed6f96.el7.centos.noarch
ovirt-engine-tools-backup-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-backend-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-tools-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-extension-aaa-jdbc-1.1.3-0.0.master.20161118164738.gitd0ff686.el7.noarch
ovirt-engine-setup-plugin-ovirt-engine-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-websocket-proxy-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-sdk-python-3.6.9.2-0.1.20161204.gite99bbd1.el7.centos.noarch
ovirt-engine-dwh-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-engine-hosts-ansible-inventory-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-dbscripts-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-webadmin-portal-debuginfo-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-vmconsole-proxy-helper-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-setup-plugin-ovirt-engine-common-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-setup-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-dwh-setup-4.1.0-0.0.master.20161129154019.el7.centos.noarch
ovirt-engine-restapi-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-wildfly-10.1.0-1.el7.x86_64
ovirt-engine-wildfly-overlay-10.0.0-1.el7.noarch
ovirt-engine-cli-3.6.9.2-1.el7.centos.noarch
ovirt-engine-userportal-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
ovirt-engine-4.2.0-0.0.master.20161219225535.git893d571.el7.centos.noarch
Linux version 3.10.0-327.36.3.el7.x86_64 (builder@kbuilder.dev.centos.org) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-4) (GCC) ) #1 SMP Mon Oct 24 16:09:20 UTC 2016
Linux 3.10.0-327.36.3.el7.x86_64 #1 SMP Mon Oct 24 16:09:20 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
CentOS Linux release 7.3.1611 (Core)

Comment 14 Simone Tiraboschi 2016-12-20 19:39:23 UTC
I'd suggest to open another bug since this fails the verification just because the engine is not able to import the VM due to:

2016-12-20 20:23:04,905+02 INFO  [org.ovirt.engine.core.bll.exportimport.ImportVmCommand] (org.ovirt.thread.pool-6-thread-18) [3143daa3] Lock Acquired to object 'EngineLock:{exclusiveLocks='[d74ea91a-8dc0-433e-a655-ffb6f018ce96=<VM, ACTION_TYPE_FAILED_VM_IS_BEING_IMPORTED$VmName HostedEngine>, HostedEngine=<VM_NAME, ACTION_TYPE_FAILED_NAME_ALREADY_USED>]', sharedLocks='[d74ea91a-8dc0-433e-a655-ffb6f018ce96=<REMOTE_VM, ACTION_TYPE_FAILED_VM_IS_BEING_IMPORTED$VmName HostedEngine>]'}'
2016-12-20 20:23:04,910+02 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (org.ovirt.thread.pool-6-thread-18) [3143daa3] START, GetImageInfoVDSCommand( GetImageInfoVDSCommandParameters:{runAsync='true', storagePoolId='00000001-0001-0001-0001-000000000311', ignoreFailoverLimit='false', storageDomainId='73de876d-1138-4d56-a930-85f5195357b9', imageGroupId='ffa67066-8c85-4392-9e03-57ee80567c58', imageId='9d48f64e-8638-40bc-ad98-e26386b70c7d'}), log id: 7617c4d9
2016-12-20 20:23:04,911+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetVolumeInfoVDSCommand] (org.ovirt.thread.pool-6-thread-18) [3143daa3] START, GetVolumeInfoVDSCommand(HostName = puma18.scl.lab.tlv.redhat.com, GetVolumeInfoVDSCommandParameters:{runAsync='true', hostId='24a83841-9862-447c-a5a5-f301fc86b8cb', storagePoolId='00000001-0001-0001-0001-000000000311', storageDomainId='73de876d-1138-4d56-a930-85f5195357b9', imageGroupId='ffa67066-8c85-4392-9e03-57ee80567c58', imageId='9d48f64e-8638-40bc-ad98-e26386b70c7d'}), log id: 12502694
2016-12-20 20:23:06,964+02 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.GetVolumeInfoVDSCommand] (org.ovirt.thread.pool-6-thread-18) [3143daa3] Failed building DiskImage: java.lang.String cannot be cast to java.util.Map
2016-12-20 20:23:06,964+02 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.GetVolumeInfoVDSCommand] (org.ovirt.thread.pool-6-thread-18) [3143daa3] Command 'org.ovirt.engine.core.vdsbroker.vdsbroker.GetVolumeInfoVDSCommand' return value '
VolumeInfoReturn:{status='Status [code=0, message=Done]'}
status = OK
domain = 73de876d-1138-4d56-a930-85f5195357b9
voltype = LEAF
description = Hosted Engine Image
parent = 00000000-0000-0000-0000-000000000000
format = RAW
generation = 0
image = ffa67066-8c85-4392-9e03-57ee80567c58
ctime = 1482255474
disktype = 2
legality = LEGAL
mtime = 0
apparentsize = 53687091200
children:
[]
pool = 
capacity = 53687091200
uuid = 9d48f64e-8638-40bc-ad98-e26386b70c7d
truesize = 3719168000
type = SPARSE
lease = EXCLUSIVE
'

I think that the regression has been introduced here:
https://gerrit.ovirt.org/#/c/68732

Comment 15 Simone Tiraboschi 2016-12-20 19:49:52 UTC
Moving back to QA, to be retested once bz#1406527 gets fixed.

Comment 16 Nikolai Sednev 2017-01-25 17:41:12 UTC
"Unable to extract HEVM OVF" not being reproduced any more on these components on hosts:
rhvm-appliance-4.1.20170119.1-1.el7ev.noarch
ovirt-hosted-engine-ha-2.1.0-1.el7ev.noarch
ovirt-hosted-engine-setup-2.1.0-2.el7ev.noarch
ovirt-host-deploy-1.6.0-1.el7ev.noarch
ovirt-imageio-common-0.5.0-0.el7ev.noarch
ovirt-vmconsole-host-1.0.4-1.el7ev.noarch
qemu-kvm-rhev-2.6.0-28.el7_3.3.x86_64
libvirt-client-2.0.0-10.el7_3.4.x86_64
mom-0.5.8-1.el7ev.noarch
vdsm-4.19.2-2.el7ev.x86_64
ovirt-setup-lib-1.1.0-1.el7ev.noarch
ovirt-engine-sdk-python-3.6.9.1-1.el7ev.noarch
ovirt-imageio-daemon-0.5.0-0.el7ev.noarch
ovirt-vmconsole-1.0.4-1.el7ev.noarch
sanlock-3.4.0-1.el7.x86_64
Linux version 3.10.0-514.6.1.el7.x86_64 (mockbuild@x86-030.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Sat Dec 10 11:15:38 EST 2016
Linux 3.10.0-514.6.1.el7.x86_64 #1 SMP Sat Dec 10 11:15:38 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)

Engine:
rhev-guest-tools-iso-4.1-3.el7ev.noarch
rhevm-doc-4.1.0-1.el7ev.noarch
rhevm-dependencies-4.1.0-1.el7ev.noarch
rhevm-setup-plugins-4.1.0-1.el7ev.noarch
rhevm-4.1.0.1-0.1.el7.noarch
rhevm-guest-agent-common-1.0.12-3.el7ev.noarch
rhevm-branding-rhev-4.1.0-0.el7ev.noarch
Linux version 3.10.0-514.6.1.el7.x86_64 (mockbuild@x86-030.build.eng.bos.redhat.com) (gcc version 4.8.5 20150623 (Red Hat 4.8.5-11) (GCC) ) #1 SMP Sat Dec 10 11:15:38 EST 2016
Linux 3.10.0-514.6.1.el7.x86_64 #1 SMP Sat Dec 10 11:15:38 EST 2016 x86_64 x86_64 x86_64 GNU/Linux
Red Hat Enterprise Linux Server release 7.3 (Maipo)


Note You need to log in before you can comment on or make changes to this bug.